# $Revision: 1.18 $, $Date: 2010/07/08 08:02:11 $
%define		module	CDDB

Summary:	Module for accessing CDDB and FreeDB
Summary(pl.UTF-8):	Moduł dostępu do baz CDDB i FreeDB
Name:		python-%{module}
Version:	1.4
Release:	7
License:	GPL
Group:		Libraries/Python
Source0:	http://cddb-py.sourceforge.net/%{module}-%{version}.tar.gz
# Source0-md5:	254698082bafe3030d07d88fb7e13fe2
URL:		http://cddb-py.sourceforge.net/
BuildRequires:	python >= 1:2.5
BuildRequires:	python-devel >= 1:2.5
%pyrequires_eq	python-modules
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a set of three modules to access the CDDB and FreeDB online
databases of audio CD track titles and information. It includes a C
extension module to fetch track lengths under Linux, FreeBSD, OpenBSD,
Mac OS X, Solaris, and Win32, which is easily ported to other
operating systems.

%description -l pl.UTF-8
Jest to zestaw trzech modułów umożliwiających dostęp do baz CDDB i
FreeDB w celu pobierania tytułów i informacji o ścieżkach płyt CD.
Pakiet zawiera też moduł w C do wyciągania długości ścieżek, działający
pod Linuksem, FreeBSD, OpenBSD, MacOS X, Solarisem i Win32.

%prep
%setup -q -n %{module}-%{version}

%build
CFLAGS="%{rpmcflags}"
export CFLAGS
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{py_sitedir},%{_examplesdir}/%{name}-%{version}}

python setup.py install \
	--root=$RPM_BUILD_ROOT \
	--optimize=2

install cddb-info.py $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README CHANGES
%{py_sitedir}/*.py[co]
%{py_sitedir}/CDDB-*.egg-info
%attr(755,root,root) %{py_sitedir}/cdrom.so
%{_examplesdir}/%{name}-%{version}

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-CDDB.spec,v $
Revision 1.18  2010/07/08 08:02:11  arekm
- release 7

Revision 1.17  2008/10/03 17:46:49  arekm
- release 6

Revision 1.16  2007-04-16 09:09:44  beorn
- pl beautify
- py_postclean macro
- Group change

Revision 1.15  2007/02/13 08:06:42  glen
- tabs in preamble

Revision 1.14  2007/02/12 01:06:28  baggins
- converted to UTF-8

Revision 1.13  2007/01/01 10:39:31  megabajt
- package *.egg-info for python 2.5

Revision 1.12  2007/01/01 08:36:52  teodor
- rel. 5 (rebuild with python 2.5)

Revision 1.11  2006/09/03 20:05:38  wiget
- rel. 4 (rebuild with python 2.5)

Revision 1.10  2005/03/12 12:32:37  troll
- mass commit: remove obsolete BR: rpm-pythonprov

Revision 1.9  2004/12/23 21:25:21  saq
- release 3 for rebuild with python 2.4

Revision 1.8  2004/11/27 19:01:23  saq
- massive attack: added missing python-devel epoch do BR

Revision 1.7  2004/08/18 00:22:16  havner
- rel 2

Revision 1.6  2004/07/26 18:15:29  zboczuch
- massive attack: s/CLFAGS/CFLAGS/

Revision 1.5  2004/05/26 21:15:21  ankry
- capitalization, tabs, other cosmetics

Revision 1.4  2004/02/21 18:17:24  qboosh
- fixed License, .so perms, don't include Yet Another Copy of GPL text

Revision 1.3  2004/02/20 23:43:23  ankry
- speces -> tabs

Revision 1.2  2004/02/20 22:58:53  undefine
- small fix, release 1

Revision 1.1  2004/02/20 22:54:25  undefine
- initital version by Jakub Piotr Cłapa <loc@toya.net.pl>
